import { html as n } from "lit";
import { property as h } from "lit/decorators.js";
import { PieIconComponent as l } from "./PieIconComponent.js";
import { safeCustomElement as m } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, v = Object.getOwnPropertyDescriptor, p = (i, e, o, t) => {
  for (var r = t > 1 ? void 0 : t ? v(e, o) : e, c = i.length - 1, a; c >= 0; c--)
    (a = i[c]) && (r = (t ? a(e, o, r) : a(r)) || r);
  return t && r && f(e, o, r), r;
};
let s = class extends l {
  constructor() {
    super(...arguments), this.size = "xs", this.defaultClasses = "c-pieIcon c-pieIcon--chartMarker", this.class = "c-pieIcon c-pieIcon--chartMarker", this.name = "IconChartMarker";
  }
  render() {
    return n`<svg width="${this._svgWidth}" height="${this._svgHeight}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 16 16" class="c-pieIcon c-pieIcon--chartMarker"><path d="M3.844 11.5h1.312V15H3.844v-3.5Zm3.5 3.5h1.312V8.875H7.344V15Zm3.5-4.375V15h1.312v-4.375h-1.312Zm-.158-4.751L8 8 5.314 5.874a1.531 1.531 0 0 1-.595-1.208V1.22h6.562v3.447a1.53 1.53 0 0 1-.595 1.208ZM9.97 2.53H6.03v2.135a.245.245 0 0 0 .088.175L8 6.294 9.881 4.84a.245.245 0 0 0 .088-.175V2.531Z"></path></svg>`;
  }
};
p([
  h({ type: String, reflect: !0 })
], s.prototype, "size", 2);
p([
  h({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = p([
  m("icon-chart-marker")
], s);
export {
  s as IconChartMarker
};
